Name:           perl-TimeDate
Version:        1.16
Epoch:          1
Release: 	5.el5
Summary:        A Perl module for time and date manipulation

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/TimeDate/
Source0:   http://www.cpan.org/authors/id/G/GB/GBARR/TimeDate-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module includes a number of smaller modules suited for
manipulation of time and date strings with Perl.  In particular, the
Date::Format and Date::Parse modules can display and read times and
dates in various formats, providing a more reliable interface to
textual representations of points in time.


%prep
%setup -q -n TimeDate-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check || :
make test

%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%{perl_vendorlib}/Date/
%{perl_vendorlib}/Time/
%{_mandir}/man3/*.3*


%changelog
* Wed Jun 27 2007 Warren Togami <wtogami@redhat.com> - 1:1.16-5
- include in RHEL

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 1:1.16-3.2
- rebuild for new perl-5.8.8

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Mon Apr 25 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1:1.16-3
- Bring up to date with current Fedora.Extras perl spec template. (#155914)

* Wed Sep 22 2004 Chip Turner <cturner@redhat.com> 1:1.16-2
- rebuild

* Fri Feb 13 2004 Chip Turner <cturner@redhat.com> 1:1.16-1
- update to 1.16, bump epoch since previous version was 1.1301

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Aug  6 2002 Chip Turner <cturner@localhost.localdomain>
- update to 1.301

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Oct 24 2001 root <root@redhat.com>
- Spec file was autogenerated. 
